evaluations
Create evaluations proposalId
Requires scopes: eval:write
POST
/
api
/
evaluations
/
{id}
/
playground
/
proposals
/
{proposalId}
Create evaluations proposalId
curl --request POST \
--url https://evalgate.com/api/evaluations/{id}/playground/proposals/{proposalId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "reject"
}
'import requests
url = "https://evalgate.com/api/evaluations/{id}/playground/proposals/{proposalId}"
payload = { "action": "reject" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({action: 'reject'})
};
fetch('https://evalgate.com/api/evaluations/{id}/playground/proposals/{proposalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"status": "<string>",
"payload": {
"type": "scorer",
"summary": "<string>",
"after": true,
"rationale": "<string>",
"before": true,
"evidence": [
{
"type": "<string>",
"id": "<string>"
}
],
"estimatedCostUsd": "<string>",
"warnings": [
"<string>"
]
},
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
reject ⌘I
Create evaluations proposalId
